Package org.eclipse.emf.cdo.lm.client

# Interface IAssemblyDescriptor.NameChangedEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`

Enclosing interface:
  `IAssemblyDescriptor`

public static interface IAssemblyDescriptor.NameChangedEvent extends org.eclipse.net4j.util.event.IEvent

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`IAssemblyDescriptor`
`getDescriptor()`
`String`
`getNewName()`
`String`
`getOldName()`

### Methods inherited from interface org.eclipse.net4j.util.event.IEvent

`getSource`

## Method Details

### getDescriptor

IAssemblyDescriptor getDescriptor()

### getOldName

String getOldName()

### getNewName

String getNewName()